Du bist nicht angemeldet.

#1 06.04.2021 14:38:46

batarch
Mitglied

[gelöst] newsboat (V 2.23-1) -- ungültige RSS-Version

Hallo zusammen,


ich bekomme immer folgende Fehlermeldung in meinem ERROR.log.

Fehler beim Abholen von https://aur.archlinux.org/rss/: ungültige RSS-Version

Gibt es vielleicht eine Möglichkeit den Feed "https://aur.archlinux.org/rss" so zu bearbeiten, dass er von newsboat verarbeitet werden kann?

Über Hilfe würde ich mich freuen
Vielen Dank im vorraus

Beitrag geändert von batarch (06.04.2021 17:56:30)

Offline

#2 06.04.2021 15:41:26

Dirk
Moderator

Re: [gelöst] newsboat (V 2.23-1) -- ungültige RSS-Version

Ja, der Feed ist leider kein valides RSS: https://validator.w3.org/feed/check.cgi … x.org/rss/

Gibt es in Newsboat eventuell irgendwo die möglichkeit, für einen RSS-Feed eine Version zu erzwingen, oder die Versionsangabe zu ignorieren? Im RSS-Feed fehlt diese, daher vermutlich die Meldung.

Ansonsten: Fehler zum AUR können hier gemeldet werden: https://bugs.archlinux.org/index.php?project=2

Die drei reklamierten Probleme sollten relativ schnell behoben werden können.

Offline

#3 06.04.2021 17:50:19

batarch
Mitglied

Re: [gelöst] newsboat (V 2.23-1) -- ungültige RSS-Version

Vielen Dank Dirk.
Zu deinem 2. Vorschlag habe ich eine für mich funktionierende Lösung gefunden.

Ich habe ein execurl-script (https://newsboat.org/releases/2.23/docs/newsboat.html) anstatt der entsprechenden URL eingesetzt und in diesem Script einfach eine RSS Version angegeben.

  curl https://aur.archlinux.org/rss/ | sed 's/rss version=""/rss version="2.0"/'

Die Zeile in der urls Datei (~/.config/newsboat/urls) sieht dann wie folgt aus:

exec:~/PFAD/execurl-script "~aur packages"

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums